For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
      • GETGet Signature Request
      • GETList Signature Requests
      • GETDownload Files
      • GETDownload Files as Data Uri
      • GETDownload Files as File Url
      • POSTSend Signature Request
      • POSTSend with Template
      • POSTBulk Send with Template
      • POSTSend Request Reminder
      • POSTRelease On-Hold Signature Request
      • POSTUpdate Signature Request
      • POSTCancel Incomplete Signature Request
      • POSTRemove Signature Request Access
      • POSTEmbedded Bulk Send with Template
      • POSTCreate Embedded Signature Request
      • POSTCreate Embedded Signature Request with Template
      • PUTEdit Signature Request
      • PUTEdit Embedded Signature Request
      • PUTEdit Embedded Signature Request with Template
      • PUTEdit Signature Request With Template
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceSignature Request

Update Signature Request

||View as Markdown|
POST
https://api.hellosign.com/v3/signature_request/update/:signature_request_id
POST
/v3/signature_request/update/:signature_request_id
$curl -X POST 'https://api.hellosign.com/v3/signature_request/update/{signature_request_id}' \
> -u 'YOUR_API_KEY:' \
> -F 'email_address=john@example.com' \
> -F 'signature_id=2f9781e1a8e2045224d808c153c2e1d3df6f8f2f'
1{
2 "signature_request": {
3 "signature_request_id": "fa5c8a0b0f492d768749333ad6fcc214c111e967",
4 "requester_email_address": "me@dropboxsign.com",
5 "title": "Purchase Agreement",
6 "subject": "Purchase Agreement",
7 "message": "Please sign and return.",
8 "created_at": 1570471067,
9 "is_complete": true,
10 "has_error": false,
11 "signing_url": null,
12 "details_url": "https://app.hellosign.com/home/manage?guid=fa5c8a0b0f492d768749333ad6fcc214c111e967",
13 "cc_email_addresses": [],
14 "signing_redirect_url": null,
15 "custom_fields": [],
16 "signatures": [
17 {
18 "signature_id": "78caf2a1d01cd39cea2bc1cbb340dac3",
19 "signer_email_address": "danaerys@mereen.gov.ws",
20 "signer_name": "Danaerys Stormborn",
21 "signer_role": null,
22 "order": null,
23 "status_code": "awaiting_signature",
24 "signed_at": null,
25 "last_viewed_at": null,
26 "last_reminded_at": null,
27 "has_pin": false,
28 "has_sms_auth": false
29 }
30 ]
31 }
32}
Updates the email address and/or the name for a given signer on a signature request. You can listen for the `signature_request_email_bounce` event on your app or account to detect bounced emails, and respond with this method. Updating the email address of a signer will generate a new `signature_id` value. **NOTE:** This action cannot be performed on a signature request with an appended signature page.
Was this page helpful?
Previous

Release On-Hold Signature Request

Next

Cancel Incomplete Signature Request

Built with

Updates the email address and/or the name for a given signer on a signature request. You can listen for the signature_request_email_bounce event on your app or account to detect bounced emails, and respond with this method.

Updating the email address of a signer will generate a new signature_id value.

NOTE: This action cannot be performed on a signature request with an appended signature page.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

signature_request_idstringRequired
The id of the SignatureRequest to update.

Request

This endpoint expects an object.
signature_idstringRequired
The signature ID for the recipient.
email_addressstringOptionalformat: "email"

The new email address for the recipient.

This will generate a new signature_id value.

NOTE: Optional if name is provided.

namestringOptional

The new name for the recipient.

NOTE: Optional if email_address is provided.

expires_atinteger or nullOptional

The new time when the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable. See Signature Request Expiration Date for details.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
signature_requestobject
Contains information about a signature request.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error